import org.junit.Before;
import org.junit.Test;
import org.junit.Assert;

public class CurrencyConverterTest {
    @Test
    public void testConvertDollarToEuro(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("EUR", "USD", 250);
        double actual = 235;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
    @Test
    public void testConvertEuroToDollar(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("USD", "EUR", 300);
        double actual = 319.1489361702128;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
     @Test
    public void testConvertEuroToGBP(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("GBP", "EUR", 500);
        double actual = 436.17021276595744;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
     @Test
    public void testConvertGBPtoINR(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("INR", "GBP", 200);
        double actual = 16663.414634146342;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
    @Test
    public void testConvertINRtoCAD(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("CAD", "INR", 340);
        double actual = 6.569086651053865;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
    @Test
    public void testConvertCADtoSGD(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("SGD", "CAD", 560);
        double actual = 606.6666666666666;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
    @Test
    public void testConvertSGDtoCHF(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("CHF", "SGD", 760);
        double actual = 536.7832167832169;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
    @Test
    public void testConvertCHFtoMYR(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("MYR", "CHF", 430);
        double actual = 1903.069306930693;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
    @Test
    public void testConvertMYRtoJPY(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("JPY", "MYR", 120);
        double actual = 3109.7986577181214;
        Assert.assertEquals(expected, actual, 0.0);
    }
    
    @Test
    public void testConvertJPYtoCNY(){
        CurrencyConverter convert = new CurrencyConverter();
        double expected = convert.convertCurrency("CNY", "JPY", 800);
        double actual = 47.790055248618785;
        Assert.assertEquals(expected, actual, 0.0);
    }
}
